#theme {
    overflow: hidden;
    padding-bottom: 10px;
}

.container {
    @include container();

    @media screen and (max-width:1234px) {
        width: 90%;
    }
}

.btn {
    display: inline-block;
    padding: 10px 10px 6px 10px;
    background-color: #fff;
    @apply text-richsred;
    text-transform: uppercase;
    font-weight: 900;
    font-size: 13.5px;

    @include hover-shadow;

    &.icon-btn {
        padding-right: 30px;
        position: relative;

        i {
            right: 10px;
            @include align-center-y;
        }

        &.reverse {
            padding-right: 10px;
            padding-left: 30px;

            i {
                right: auto;
                left: 10px;
            }
        }
    }




    &.btn-red {
        @apply bg-richsred;
        color: #fff;
    }

    &.btn-outline-red{
        background-color: transparent;
        border: 1px solid theme('colors.richsred');
    }
}

a.full {
    position: absolute;
    height: 100%;
    width: 100%;
    top: 0;
    left: 0;
}

.text-with-border {
    @apply text-richsred uppercase font-black text-base pb-5 border-lightgray;
    border-bottom-width: 3px;

    &.white {
        @apply text-white;
        border-bottom-color: rgba(255, 255, 255, .1);
    }

    &.red {
        border-bottom-color: theme('colors.richsred');
    }
}

.scroll-to-explore {
    font-size: .75rem;
    opacity: .5;
    font-weight: 900;
    text-transform: uppercase;
    border: 1px solid #fff;
    border-radius: 15px;
    padding: 8px 60px 5px;

    &:focus {
        outline: none;
    }

    @include media(md) {
        display: none;
    }
}

.overlay {
    position: absolute;
    top: 0;
    bottom: 0;
    left: 0;
    width: 100%;
    background: #000;
    opacity: 0.47;
    z-index: 1;
    transition: all 0.3s;

    &.gradient {
        background: linear-gradient(45deg, rgba(0,0,0,1) 0%, rgba(128,33,47,0) 100%);

        &.increased-contrast{
            background: linear-gradient(270deg, rgba(0,0,0,1) 50%, rgba(128,33,47,0) 100%);
            @include media(xl){
                background: linear-gradient(270deg, rgba(0,0,0,1) 80%, rgba(128,33,47,0) 120%);
            }
            @include media(sm){
                background: linear-gradient(270deg, rgba(0,0,0,.9) 100%,  rgba(0,0,0,.9) 100%);
            }
        }
    }
}


body {
    &.active {
        @include media(md) {
            &,
            html {
                @apply overflow-hidden;
            }
        }
    }
}

select::-ms-expand {
    display: none;
}

*[data-regional-link="true"],
*[data-regional-marketing-link="true"] {
    display:none;
}